Cantor Equity Partners I, Inc.

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/cantor-equity-partners-i-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/cantor-equity-partners-i-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1753142400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.coindesk.com/business/2025/07/17/adam-backs-bitcoin-treasury-firm-to-go-public-with-30k-btc-and-15b-in-buying-power",
    "holding_balance": 30021.0,
    "holding_net_change": 30021.0,
    "transaction_value_usd": 3603035160.36,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/cantor-equity-partners-i-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    30021.0
  ],
  [
    1779062400000,
    30021.0
  ],
  [
    1779148800000,
    30021.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/cantor-equity-partners-i-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    2324521827.06
  ],
  [
    1779062400000,
    2309943929.67
  ],
  [
    1779148800000,
    2304412260.21
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/cantor-equity-partners-i-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 10.58,
    "date": "2026-05-15",
    "high": 10.581,
    "open": 10.581,
    "close": 10.58,
    "volume": 1200
  },
  {
    "low": 10.56,
    "date": "2026-05-18",
    "high": 10.59,
    "open": 10.56,
    "close": 10.59,
    "volume": 6200
  },
  {
    "low": 10.59,
    "date": "2026-05-19",
    "high": 10.5949,
    "open": 10.592,
    "close": 10.5949,
    "volume": 2776
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/cantor-equity-partners-i-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/cantor-equity-partners-i-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -0.24,
  "six_month_return": 2.22,
  "three_month_return": 1.19
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/cantor-equity-partners-i-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 853.4,
  "total_btc_percentage": 0.143,
  "share_price_change_state": "down"
}